Name:           drakpxelinux
Version:        1.2.2
Release:        %mkrel 4
Summary:        PXE default file configurator
License:        GPLv2+
Group:          System/Configuration
URL:            http://www.mageia.org
Source0:        %{name}-%{version}.tar.xz

Buildarch:      noarch

Requires:       perl-Gtk2
Requires:       perl-MDK-Common
Requires:       pxe
Requires:       drakxtools
Requires:       tftp-server
Requires:       xinetd
Requires:       pxelinux

%description
Quick configuration of PXE menu parameters. 


%prep
%setup -q

%install
make distdir=%{buildroot} install 

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Drakpxelinux
Comment=%{_vendor} Linux Pxelinux configurator
Exec=%{_sbindir}/%{name}
Icon=configuration_section
Terminal=false
Type=Application
Categories=GTK;Settings;X-Mageia-CrossDesktop;
EOF

#install lang
%find_lang %{name}

%files -f %{name}.lang
%doc default TODO COPYING
%{_sbindir}/%{name}
%{_sbindir}/deployd
%{_sbindir}/deploy_get_autoinst.pl
%{_sysconfdir}/xinetd.d/deployd
%{_sysconfdir}/xinetd.d/deploy_get_autoinst
#%{_datadir}/%{name}*
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop


%changelog

* Wed Jan 23 2013 fwang <fwang> 1.2.2-4.mga3
+ Revision: 391430
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 1.2.2-3.mga3
+ Revision: 349089
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 kamil <kamil> 1.2.2-2.mga3
+ Revision: 324403
- rebuild for Mga3 Beta1

* Thu Apr 26 2012 kamil <kamil> 1.2.2-1.mga2
+ Revision: 233294
- new tarball 1.2.2 (updated strings, translations)

* Tue Jan 10 2012 kamil <kamil> 1.2.1-7.mga2
+ Revision: 194778
- adapt package for Mageia
- imported package drakpxelinux

